/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package komunikacija;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import transfer.TransferObjekatOdgovor;
import transfer.TransferObjekatZahtev;

/**
 *
 * @author student1
 */
public class Komunikacija {
    private Socket socket;
    private static Komunikacija instance;
    
    private Komunikacija() throws IOException {
        socket = new Socket("127.0.0.1", 9000);
        System.out.println("Klijent se povezao sa serverom");
    }
    
    public static Komunikacija vratiObjekat() throws IOException {
        if (instance == null) {
            instance = new Komunikacija();
        }
        return instance;
    }
    
    public void posalji(TransferObjekatZahtev toZahtev) throws IOException {
        ObjectOutputStream outSocket = new ObjectOutputStream(socket.getOutputStream());
        outSocket.writeObject(toZahtev);
    }
    
    public TransferObjekatOdgovor procitaj() throws IOException, ClassNotFoundException {
        ObjectInputStream inSocket = new ObjectInputStream(socket.getInputStream());
        return (TransferObjekatOdgovor) inSocket.readObject();
    }
}
