/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package model;

import domen.Film;
import domen.Projekcija;
import java.security.Timestamp;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.swing.table.AbstractTableModel;
import org.omg.PortableInterceptor.SYSTEM_EXCEPTION;

/**
 *
 * @author student1
 */
public class ModelTabele extends AbstractTableModel{
    
    private List<Projekcija> listaProjekcija;
    String[] nazivi = new String[]{"Film", "Reziser", "Datum i vreme projekcije"};

    public ModelTabele() {
        listaProjekcija = new ArrayList<>();
    }
    
    
    
    @Override
    public int getRowCount() {
        return listaProjekcija.size();
    }

    @Override
    public int getColumnCount() {
        return 3;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Projekcija p =listaProjekcija.get(rowIndex);
        switch(columnIndex){
            case 0: return p.getFilm();
            case 1: return p.getFilm().getReziser();
            case 2: return datum();
            default: return "greska";
        }
    }

    @Override
    public String getColumnName(int column) {
        return nazivi[column];
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        Projekcija p = listaProjekcija.get(rowIndex);
        switch(columnIndex){
            case 0: p.setFilm((Film) aValue); break;
            case 1: p.getFilm().setReziser((String) aValue); break;
            case 2: p.setDatumVremeProjekcije(datum()); break;
        }
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return true;
    }
    
    public void dodajRed(Projekcija p){
        listaProjekcija.add(p);
        fireTableDataChanged();
    }
    
    public void obrisiRed(int rb){
        listaProjekcija.remove(rb);
        fireTableDataChanged();
    }

    public List<Projekcija> getListaProjekcija() {
        return listaProjekcija;
    }

    public void setListaProjekcija(List<Projekcija> listaProjekcija) {
        this.listaProjekcija = listaProjekcija;
    }

    private Date datum() {
        DateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
        Date datum = new Date();
        return datum;
    }
    
    
    
    
    
    
    
    
}
