/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package logika;

import dbb.DBBroker;
import domen.Festival;
import domen.Film;
import domen.Grad;
import java.sql.SQLException;
import java.util.List;

/**
 *
 * @author student1
 */
public class Kontroler {
    private static Kontroler kontroler;
    private DBBroker db;
    
    private Kontroler() {
        
        db = new DBBroker();
    }
    
    public static Kontroler vratiObjekat() {
        if (kontroler == null) {
            kontroler = new Kontroler();
        }
        return kontroler;
    }
    
    public List<Grad> vratiGradove(){
        db.ucitajDriver();
        db.otvoriKonekciju();
        List<Grad> lg = db.vratiGradove();
        db.commitTransakcije();
        db.zatvoriKonekciju();
        return lg;
    }
    
    public List<Film> vratiFilmove(){
        db.ucitajDriver();
        db.otvoriKonekciju();
        List<Film> lg = db.vratiFilmove();
        db.commitTransakcije();
        db.zatvoriKonekciju();
        return lg;
    }
    
    public int vratiIDFestivala() throws SQLException{
        db.ucitajDriver();
        db.otvoriKonekciju();
        int id= db.vratiFestivalID();
        db.commitTransakcije();
        db.zatvoriKonekciju();
        return id;
    }
    
    public void sacuvajFestival(Festival f) throws SQLException{
        db.ucitajDriver();
        db.otvoriKonekciju();
        db.sacuvajFestival(f);
        db.commitTransakcije();
        db.zatvoriKonekciju();
    }
}
